Produce merged XML document

- « XMLDiff\File::diff

- XML Parser »

- PHP Manual
- XMLDiff\File
- Produce merged XML document

# XMLDiff\File::merge

(PECL xmldiff >= 0.8.0)

XMLDiff\File::merge — Produce merged XML document

### Description

public XMLDiff\File::merge(string `$src`, string `$diff`): string

Create new XML document based on diffs and source document.

### Parameters

`src`

  Path to the source XML document.

`diff`

  Path to the XML document with the diff information.

### Return Values

String with the new XML document or NULL.